import { Router } from "express";
import { authenticate } from "../middleware/auth.middleware";
import {
  getCompanyCount,
  getEmployeeAttendanceStats,
  getEmployeeLeaveStats,
  isEmployee,
} from "../controllers/stats.controller";

const router = Router();

// Currently not authenticating due to static generation limitations
router.get("/count/company", getCompanyCount);

// Get employee statistics for their dashboard
// 1. Attendance Stats
router.get(
  "/employee/attendance",
  authenticate,
  isEmployee,
  getEmployeeAttendanceStats
);

// 2. Leave Stats
router.get("/employee/leave", authenticate, isEmployee, getEmployeeLeaveStats);

export default router;
